Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# aes.h File Reference

`#include "limits.h"`

Include dependency graph for Rijndael/aes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | AES_128
#define | AES_192
#define | AES_256
#define | AES_VAR
#define | AES_ENCRYPT
#define | AES_DECRYPT
#define | AES_ERR_CHK
#define | AES_BLOCK_SIZE 16
#define | N_COLS 4
#define | KS_LENGTH 64
#define | aes_ret int
#define | aes_good 0
#define | aes_error -1
#define | aes_rval aes_ret
## Typedefs
typedef aes_32t | aes_encrypt_ctx [64]
typedef aes_32t | aes_decrypt_ctx [64]
## Functions
void | gen_tabs (void)
int | aes_encrypt_key128 (const void *in_key, aes_encrypt_ctx cx)
int | aes_encrypt_key192 (const void *in_key, aes_encrypt_ctx cx)
int | aes_encrypt_key256 (const void *in_key, aes_encrypt_ctx cx)
int | aes_encrypt_key (const void *in_key, int key_len, aes_encrypt_ctx cx)
int | aes_encrypt (const void *in_blk, void *out_blk, const aes_encrypt_ctx cx)
int | aes_decrypt_key128 (const void *in_key, aes_decrypt_ctx cx)
int | aes_decrypt_key192 (const void *in_key, aes_decrypt_ctx cx)
int | aes_decrypt_key256 (const void *in_key, aes_decrypt_ctx cx)
int | aes_decrypt_key (const void *in_key, int key_len, aes_decrypt_ctx cx)
int | aes_decrypt (const void *in_blk, void *out_blk, const aes_decrypt_ctx cx)

## Define Documentation

#define AES_128

#define AES_192

#define AES_256

#define AES_BLOCK_SIZE 16

#define AES_DECRYPT

#define AES_ENCRYPT

#define AES_ERR_CHK

#define aes_error -1

#define aes_good 0

#define aes_ret int

#define aes_rval aes_ret

#define AES_VAR

#define KS_LENGTH 64

#define N_COLS 4

## Typedef Documentation

typedef aes_32t aes_decrypt_ctx[ 64 ]

typedef aes_32t aes_encrypt_ctx[ 64 ]

## Function Documentation

int aes_decrypt | ( | const void * | in_blk,
|  | void * | out_blk,
|  | const aes_decrypt_ctx | cx
| ) |

int aes_decrypt_key | ( | const void * | in_key,
|  | int | key_len,
|  | aes_decrypt_ctx | cx
| ) |

int aes_decrypt_key128 | ( | const void * | in_key,
|  | aes_decrypt_ctx | cx
| ) |

int aes_decrypt_key192 | ( | const void * | in_key,
|  | aes_decrypt_ctx | cx
| ) |

int aes_decrypt_key256 | ( | const void * | in_key,
|  | aes_decrypt_ctx | cx
| ) |

int aes_encrypt | ( | const void * | in_blk,
|  | void * | out_blk,
|  | const aes_encrypt_ctx | cx
| ) |

int aes_encrypt_key | ( | const void * | in_key,
|  | int | key_len,
|  | aes_encrypt_ctx | cx
| ) |

int aes_encrypt_key128 | ( | const void * | in_key,
|  | aes_encrypt_ctx | cx
| ) |

int aes_encrypt_key192 | ( | const void * | in_key,
|  | aes_encrypt_ctx | cx
| ) |

int aes_encrypt_key256 | ( | const void * | in_key,
|  | aes_encrypt_ctx | cx
| ) |

void gen_tabs | ( | void |  | ) |